package com.hai.model;

import com.hai.entity.HighOrder;

public class HighOrderData extends HighOrder {


    /**
     * 子订单id
     */
    private Long childOrderId;

    /**
     * 区域ID
     */
    private Long companyId;

    /**
     * 商户ID
     */
    private Long merchantId;

    /**
     * 门店ID
     */
    private Long storeId;

    /**
     * 订单ID
     */
    private Long orderId;

    /**
     * 商品类型   1:卡卷 2.充值
     */
    private Integer goodsType;

    /**
     * 商品的名称
     */
    private String goodsName;

    /**
     * 是否是赠品  0：否   1：是
     */
    private Boolean giveawayType;

    public Long getChildOrderId() {
        return childOrderId;
    }

    public void setChildOrderId(Long childOrderId) {
        this.childOrderId = childOrderId;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public Long getMerchantId() {
        return merchantId;
    }

    public void setMerchantId(Long merchantId) {
        this.merchantId = merchantId;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Integer getGoodsType() {
        return goodsType;
    }

    public void setGoodsType(Integer goodsType) {
        this.goodsType = goodsType;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public Boolean getGiveawayType() {
        return giveawayType;
    }

    public void setGiveawayType(Boolean giveawayType) {
        this.giveawayType = giveawayType;
    }
}
